<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use App\Models\Invoice;
use App\User;
use PDF;

class UserHomeController extends Controller
{
	public function __construct()
	{
		$this->middleware('auth');
	}

	public function invoice(Invoice $o)
	{
		return View('invoice',['o'=>$o]);
	}

	public function invoice_pdf(Invoice $o)
	{
		return PDF::loadView('invoice', ['o'=>$o])->stream(sprintf('%s.pdf',$o->invoice_account_id));
	}

	public function home()
	{
		switch (Auth::user()->role()) {
			case 'customer':
				return View('userhome',['o'=>Auth::user()]);

			case 'reseller':
				return View('resellerhome',['o'=>Auth::user()]);

			case 'wholesaler':
				return View('resellerhome',['o'=>Auth::user()]);

			default:
				abort(500,'Unknown role: '.Auth::user()->role());
		}
	}

	/**
	 * Helper to redirect to the old site, when functions are not available in this one.
	 *
	 * @param $type
	 * @param $action
	 * @param $id
	 * @return void
	 * @deprecated @todo Remove once all functions added
	 */
	public function oldsite($type,$action,$id)
	{
		abort(307,sprintf('http://www.graytech.net.au/u/%s/%s/%s',$type,$action,$id));
	}

	public function User(User $o)
	{
		// @todo Check authorised to see this account.
		return View('userhome',['o'=>$o]);
	}
}