@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Setup
@endsection

@section('contentheader_title')
	{{ $so->site_name }}
@endsection
@section('contentheader_description')
	Setup
@endsection

@section('main-content')
	<div class="col-md-9">
		<div class="box box-primary">
			<div class="box-header with-border">
				<h3 class="box-title">Setup Configuration</h3>
			</div>

			<form role="form" method="POST" enctype="multipart/form-data">
				{{ csrf_field() }}

				@if(session()->has('success'))
					<div class="row">
						<div class="col-md-6 col-md-offset-3">
							<div class="callout callout-success">
								<p>{{ session()->get('success') }}</p>
							</div>
						</div>
					</div>
				@endif

				@if($errors->any())
					<div class="row">
						<div class="col-md-6 col-md-offset-3">
							<div class="callout callout-danger">
								<p>Some validation errors to look at.</p>
								<ul>
									@foreach ($errors->all() as $error)
										<li>{{ $error }}</li>
									@endforeach
								</ul>
							</div>
						</div>
					</div>
				@endif

				<div class="nav-tabs-custom">
					<ul class="nav nav-tabs">
						<li class="active"><a href="#tab-site" data-toggle="tab">Site Details</a></li>
						<li><a href="#tab-other" data-toggle="tab">Other</a></li>
					</ul>

					<div class="box-body">
						<div class="tab-content">
							<div class="tab-pane active" id="tab-site">
								@include('a.widgets.setup_site_details')
							</div>

							<div class="tab-pane" id="tab-other">
								Other Details
							</div>
						</div>
					</div>
					<div class="box-footer">
						<button type="submit" class="btn btn-info">Save</button>
					</div>
				</div>
			</form>
		</div>
	</div>
@endsection

@section('page-scripts')
	@js('/js/jqBootstrapValidation.js','jq-validation','jquery')
	<script>
        $(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
	</script>
	<style>
		span.help-block > ul {
			color: #9d0000;
			padding-left: 5px;
			list-style-type: none;
		}
	</style>
@append