@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Home
@endsection

@section('contentheader_title')
	{{ $o->full_name }}
@endsection
@section('contentheader_description')
	Home
@endsection

@section('main-content')
	<div class="content">
		<div class="row">
			@if ($o->accounts->count() > 2)
				<div class="col-sm-3">
					<div class="info-box">
						<span class="info-box-icon bg-orange"><i class="fa fa-user"></i></span>
						<div class="info-box-content">
							<span class="info-box-text">Accounts Linked</span>
							<span class="info-box-number">{{ $o->accounts->count() }}</span>
						</div>
					</div>
				</div>
			@endif
			<div class="col-sm-3">
				<div class="info-box">
					<span class="info-box-icon bg-red"><i class="fa fa-dollar"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Account Balance</span>
						<span class="info-box-number"><small>$</small> {{ number_format($o->invoices_due->sum('due'),2) }}</span>
					</div>
				</div>
			</div>
			<div class="col-sm-3">
				<div class="info-box">
					<span class="info-box-icon bg-green"><i class="fa fa-clone"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Active Services</span>
						<span class="info-box-number">{{ $o->services_active->count() }} <small>/{{ $o->services->count() }}</small></span>
					</div>
				</div>
			</div>
			<div class="col-sm-3">
				<div class="info-box">
					<span class="info-box-icon bg-blue"><i class="fa fa-hashtag"></i></span>
					<div class="info-box-content">
						<span class="info-box-text">Invoices Due</span>
						<span class="info-box-number">{{ $o->invoices_due->count() }}</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-xs-7">
				@include('widgets.services_active')
			</div>
			<div class="col-xs-5">
				@include('widgets.invoices_due')
			</div>
			<div class="col-xs-5">
				@include('widgets.payment_history')
			</div>
		</div>
	</div>
@endsection